%% term_template( +Term, -Arity, -Template ).
%% term_template( +Term, -Template ).
%
% Template has the same Arity and functor as Term, but all 
% its arguments are fresh variables.
%
%==
% term_template( t(a,b,c), Arity, Template ).
% Arity = 3,
% Template = t(_G6305, _G6306, _G6307).
%==
%
% @author nicos angelopoulos
% @version  0.1 this used to be template/2
% @version  0.2 2014/4/15, renamed and added /3 version.
%
term_template( Term, Template ) :-
	term_template( Term, _Arity, Template ).

term_template( Term, Arity, Template ) :-
     functor( Term, Name, Arity ),
     functor( Template, Name, Arity ).
