%% options_return( +TermS, +OptS ).
%
% The predicate always succeeds. But if Opts memberchk/2 with Term
% then it would instantiate TermS (a non-list term or list of terms).
% The predicate, thus the name, can be used to return optional information
% to the caller.
%
% OptS and TermS are passed through en_list/2.
%
%==
% ?- options_return( cnm(Cnm), [abc(x),cnm(symbols)] ).
% Cnm = symbols.
% ?- options_return( [data(Dt),cnm(Cnm)], [abc(x),cnm(symbols)] ).
% Cnm = symbols
%==
%
options_return( TermS, OptS ) :-
	en_list( OptS, Opts ),
	en_list( TermS, Terms ),
	options_return_lists( Terms, Opts ).

options_return_lists( [], _Opts ).
options_return_lists( [Term|T], Opts ) :-
	( memberchk( Term, Opts ) -> true; true ),
	options_return_lists( T, Opts ).
